Package org.opensaml.soap.wssecurity

# Interface SignatureConfirmation

All Superinterfaces:
  `IdBearing`, `WSSecurityObject`, `XMLObject`

All Known Implementing Classes:
  `SignatureConfirmationImpl`

public interface SignatureConfirmation extends IdBearing, WSSecurityObject
The <wsse11:SignatureConfirmation> element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Qualified element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`VALUE_ATTRIB_NAME`
The Value attribute name.

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Returns the Value attribute value.
`void`
`setValue(String newValue)`
Sets the Value attribute value.

### Methods inherited from interface org.opensaml.soap.wssecurity.IdBearing

`getWSUId, setWSUId`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Qualified element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### VALUE_ATTRIB_NAME

@Nonnull @NotEmpty static final String VALUE_ATTRIB_NAME
The Value attribute name.

See Also:
  - Constant Field Values

## Method Details

### getValue

@Nullable String getValue()
Returns the Value attribute value.

Returns:
  the Value attribute value or `null`.

### setValue

void setValue(@Nullable String newValue)
Sets the Value attribute value.

Parameters:
  `newValue` - the Value attribute value.